Bug 743035 - HBAC processing is very slow when dealing with FreeIPA deployments with large numbers of hosts.
HBAC processing is very slow when dealing with FreeIPA deployments with large...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
15
All All
unspecified Severity high
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 743925 748897
  Show dependency treegraph
 
Reported: 2011-10-03 12:24 EDT by Jr Aquino
Modified: 2011-10-29 20:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.9.16-44.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 743925 (view as bug list)
Environment:
Last Closed: 2011-10-29 20:29:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jr Aquino 2011-10-03 12:24:36 EDT
Description of problem:
When logging into an sssd client to a freeipa system who has many hosts, the delay in authorization can take over 30seconds for ssh and sudo

Version-Release number of selected component (if applicable):
sssd 1.5.x

How reproducible:
100%

Steps to Reproduce:
1. Create a FreeIPA install with over 1000 hosts + hostgroups + hbacrules
2. Login to a client
3. Note very long delay in processing
  
Actual results:
30second + delay in authorizations

Expected results:
Much faster processing

Additional info:
Comment 1 Stephen Gallagher 2011-10-03 13:02:12 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1029
Comment 2 Fedora Update System 2011-10-19 11:47:38 EDT
freeipa-2.1.3-2.fc15, 389-ds-base-1.2.10-0.4.a4.fc15, sssd-1.5.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/freeipa-2.1.3-2.fc15,389-ds-base-1.2.10-0.4.a4.fc15,sssd-1.5.14-1.fc15
Comment 3 Fedora Update System 2011-10-20 05:53:45 EDT
Package freeipa-2.1.3-2.fc15, 389-ds-base-1.2.10-0.4.a4.fc15, sssd-1.5.14-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-2.1.3-2.fc15 389-ds-base-1.2.10-0.4.a4.fc15 sssd-1.5.14-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14639
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-10-22 04:26:53 EDT
Package selinux-policy-3.9.16-44.fc15, sssd-1.5.14-2.fc15, freeipa-2.1.3-2.fc15, 389-ds-base-1.2.10-0.4.a4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-44.fc15 sssd-1.5.14-2.fc15 freeipa-2.1.3-2.fc15 389-ds-base-1.2.10-0.4.a4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14639
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-10-24 19:02:23 EDT
Package selinux-policy-3.9.16-44.fc15, freeipa-2.1.3-2.fc15, 389-ds-base-1.2.10-0.4.a4.fc15, sssd-1.5.14-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-44.fc15 freeipa-2.1.3-2.fc15 389-ds-base-1.2.10-0.4.a4.fc15 sssd-1.5.14-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14639
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-10-29 20:29:58 EDT
selinux-policy-3.9.16-44.fc15, freeipa-2.1.3-2.fc15, 389-ds-base-1.2.10-0.4.a4.fc15, sssd-1.5.14-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.